Changeset 2911 for ThirdParty/FilterSQP


Ignore:
Timestamp:
Sep 12, 2013 6:04:08 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/trunk/configure

    r2882 r2911  
    10841084                          icl/link). Default when mentioned: mingw. Default
    10851085                          when not mentioned: disabled.
    1086 
    10871086  --disable-pkg-config    disable use of pkg-config (if available)
    10881087  --disable-dependency-tracking  speeds up one-time build
     
    19231922echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19241923  fi
    1925 
    1926 
    1927 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1928 if test "${enable_static_standardlibs+set}" = set; then
    1929   enableval="$enable_static_standardlibs"
    1930   case "$enableval" in
    1931      no | yes | auto ) ;;
    1932      *)
    1933        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1934 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1935    { (exit 1); exit 1; }; } ;;
    1936    esac
    1937    use_static_standardlibs=$enableval
    1938 else
    1939   use_static_standardlibs=no
    1940 fi;
    1941 
    19421924
    19431925
     
    30793061    CFLAGS="$OPT_CFLAGS"
    30803062  fi
    3081 
    30823063else
    30833064  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32483229esac
    32493230
    3250 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3251 if test x$use_static_standardlibs != xno ; then
    3252   case $build in
    3253     *-mingw*)
    3254       static_standardlib_flag=-static
    3255       ;;
    3256     *)
    3257       static_standardlib_flag=-static-libgcc
    3258       ;;
    3259   esac
    3260   case " $LDFLAGS " in
    3261     *" $static_standardlib_flag "* ) ;;
    3262     *)
    3263     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3264 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3265     coin_save_LDFLAGS="$LDFLAGS"
    3266     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3267     cat >conftest.$ac_ext <<_ACEOF
    3268 /* confdefs.h.  */
    3269 _ACEOF
    3270 cat confdefs.h >>conftest.$ac_ext
    3271 cat >>conftest.$ac_ext <<_ACEOF
    3272 /* end confdefs.h.  */
    3273 
    3274 int
    3275 main ()
    3276 {
    3277 int i=0;
    3278   ;
    3279   return 0;
    3280 }
    3281 _ACEOF
    3282 rm -f conftest.$ac_objext conftest$ac_exeext
    3283 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3284   (eval $ac_link) 2>conftest.er1
    3285   ac_status=$?
    3286   grep -v '^ *+' conftest.er1 >conftest.err
    3287   rm -f conftest.er1
    3288   cat conftest.err >&5
    3289   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3290   (exit $ac_status); } &&
    3291          { ac_try='test -z "$ac_c_werror_flag"
    3292                          || test ! -s conftest.err'
    3293   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3294   (eval $ac_try) 2>&5
    3295   ac_status=$?
    3296   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3297   (exit $ac_status); }; } &&
    3298          { ac_try='test -s conftest$ac_exeext'
    3299   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3300   (eval $ac_try) 2>&5
    3301   ac_status=$?
    3302   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3303   (exit $ac_status); }; }; then
    3304   echo "$as_me:$LINENO: result: yes" >&5
    3305 echo "${ECHO_T}yes" >&6
    3306 else
    3307   echo "$as_me: failed program was:" >&5
    3308 sed 's/^/| /' conftest.$ac_ext >&5
    3309 
    3310 echo "$as_me:$LINENO: result: no" >&5
    3311 echo "${ECHO_T}no" >&6
    3312        LDFLAGS="$coin_save_LDFLAGS"
    3313        if test $use_static_standardlibs = yes ; then
    3314          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3315 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3316    { (exit 1); exit 1; }; }
    3317        fi
    3318 
    3319 fi
    3320 rm -f conftest.err conftest.$ac_objext \
    3321       conftest$ac_exeext conftest.$ac_ext
    3322     ;;
    3323   esac
    3324 fi
    3325 
    33263231ac_ext=c
    33273232ac_cpp='$CPP $CPPFLAGS'
     
    33443249  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    33453250 esac
    3346 
    33473251
    33483252
     
    35603464
    35613465# Provide some information about the compiler.
    3562 echo "$as_me:3562:" \
     3466echo "$as_me:3466:" \
    35633467     "checking for Fortran 77 compiler version" >&5
    35643468ac_compiler=`set X $ac_compile; echo $2`
     
    39373841    FFLAGS="$OPT_FFLAGS"
    39383842  fi
    3939 
    39403843else
    39413844  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    40803983esac
    40813984
    4082 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4083 if test x$use_static_standardlibs != xno ; then
    4084   case $build in
    4085     *-mingw*)
    4086       static_standardlib_flag=-static
    4087       ;;
    4088     *)
    4089       static_standardlib_flag=-static-libgfortran
    4090       ;;
    4091   esac
    4092   case " $LDFLAGS " in
    4093     *" $static_standardlib_flag "* ) ;;
    4094     *)
    4095     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4096 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4097     coin_save_LDFLAGS="$LDFLAGS"
    4098     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4099     cat >conftest.$ac_ext <<_ACEOF
    4100       program main
    4101       integer i
    4102       end
    4103 _ACEOF
    4104 rm -f conftest.$ac_objext conftest$ac_exeext
    4105 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4106   (eval $ac_link) 2>conftest.er1
    4107   ac_status=$?
    4108   grep -v '^ *+' conftest.er1 >conftest.err
    4109   rm -f conftest.er1
    4110   cat conftest.err >&5
    4111   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4112   (exit $ac_status); } &&
    4113          { ac_try='test -z "$ac_f77_werror_flag"
    4114                          || test ! -s conftest.err'
    4115   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4116   (eval $ac_try) 2>&5
    4117   ac_status=$?
    4118   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4119   (exit $ac_status); }; } &&
    4120          { ac_try='test -s conftest$ac_exeext'
    4121   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4122   (eval $ac_try) 2>&5
    4123   ac_status=$?
    4124   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4125   (exit $ac_status); }; }; then
    4126   echo "$as_me:$LINENO: result: yes" >&5
    4127 echo "${ECHO_T}yes" >&6
    4128 else
    4129   echo "$as_me: failed program was:" >&5
    4130 sed 's/^/| /' conftest.$ac_ext >&5
    4131 
    4132 echo "$as_me:$LINENO: result: no" >&5
    4133 echo "${ECHO_T}no" >&6
    4134        LDFLAGS="$coin_save_LDFLAGS"
    4135        if test $use_static_standardlibs = yes ; then
    4136          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4137 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4138    { (exit 1); exit 1; }; }
    4139        fi
    4140 
    4141 fi
    4142 rm -f conftest.err conftest.$ac_objext \
    4143       conftest$ac_exeext conftest.$ac_ext
    4144     ;;
    4145   esac
    4146 fi
    4147 
    41483985ac_ext=c
    41493986ac_cpp='$CPP $CPPFLAGS'
     
    42084045ac_save_FFLAGS=$FFLAGS
    42094046FFLAGS="$FFLAGS $ac_verb"
    4210 (eval echo $as_me:4210: \"$ac_link\") >&5
     4047(eval echo $as_me:4047: \"$ac_link\") >&5
    42114048ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42124049echo "$ac_f77_v_output" >&5
     
    42864123ac_save_FFLAGS=$FFLAGS
    42874124FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4288 (eval echo $as_me:4288: \"$ac_link\") >&5
     4125(eval echo $as_me:4125: \"$ac_link\") >&5
    42894126ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    42904127echo "$ac_f77_v_output" >&5
     
    75577394*-*-irix6*)
    75587395  # Find out which ABI we are using.
    7559   echo '#line 7559 "configure"' > conftest.$ac_ext
     7396  echo '#line 7396 "configure"' > conftest.$ac_ext
    75607397  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    75617398  (eval $ac_compile) 2>&5
     
    101439980   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    101449981   -e 's:$: $lt_compiler_flag:'`
    10145    (eval echo "\"\$as_me:10145: $lt_compile\"" >&5)
     9982   (eval echo "\"\$as_me:9982: $lt_compile\"" >&5)
    101469983   (eval "$lt_compile" 2>conftest.err)
    101479984   ac_status=$?
    101489985   cat conftest.err >&5
    10149    echo "$as_me:10149: \$? = $ac_status" >&5
     9986   echo "$as_me:9986: \$? = $ac_status" >&5
    101509987   if (exit $ac_status) && test -s "$ac_outfile"; then
    101519988     # The compiler can only warn and ignore the option if not recognized
     
    1041110248   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1041210249   -e 's:$: $lt_compiler_flag:'`
    10413    (eval echo "\"\$as_me:10413: $lt_compile\"" >&5)
     10250   (eval echo "\"\$as_me:10250: $lt_compile\"" >&5)
    1041410251   (eval "$lt_compile" 2>conftest.err)
    1041510252   ac_status=$?
    1041610253   cat conftest.err >&5
    10417    echo "$as_me:10417: \$? = $ac_status" >&5
     10254   echo "$as_me:10254: \$? = $ac_status" >&5
    1041810255   if (exit $ac_status) && test -s "$ac_outfile"; then
    1041910256     # The compiler can only warn and ignore the option if not recognized
     
    1051510352   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1051610353   -e 's:$: $lt_compiler_flag:'`
    10517    (eval echo "\"\$as_me:10517: $lt_compile\"" >&5)
     10354   (eval echo "\"\$as_me:10354: $lt_compile\"" >&5)
    1051810355   (eval "$lt_compile" 2>out/conftest.err)
    1051910356   ac_status=$?
    1052010357   cat out/conftest.err >&5
    10521    echo "$as_me:10521: \$? = $ac_status" >&5
     10358   echo "$as_me:10358: \$? = $ac_status" >&5
    1052210359   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1052310360   then
     
    1293212769  lt_status=$lt_dlunknown
    1293312770  cat > conftest.$ac_ext <<EOF
    12934 #line 12934 "configure"
     12771#line 12771 "configure"
    1293512772#include "confdefs.h"
    1293612773
     
    1303212869  lt_status=$lt_dlunknown
    1303312870  cat > conftest.$ac_ext <<EOF
    13034 #line 13034 "configure"
     12871#line 12871 "configure"
    1303512872#include "confdefs.h"
    1303612873
     
    1539215229   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1539315230   -e 's:$: $lt_compiler_flag:'`
    15394    (eval echo "\"\$as_me:15394: $lt_compile\"" >&5)
     15231   (eval echo "\"\$as_me:15231: $lt_compile\"" >&5)
    1539515232   (eval "$lt_compile" 2>conftest.err)
    1539615233   ac_status=$?
    1539715234   cat conftest.err >&5
    15398    echo "$as_me:15398: \$? = $ac_status" >&5
     15235   echo "$as_me:15235: \$? = $ac_status" >&5
    1539915236   if (exit $ac_status) && test -s "$ac_outfile"; then
    1540015237     # The compiler can only warn and ignore the option if not recognized
     
    1549615333   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1549715334   -e 's:$: $lt_compiler_flag:'`
    15498    (eval echo "\"\$as_me:15498: $lt_compile\"" >&5)
     15335   (eval echo "\"\$as_me:15335: $lt_compile\"" >&5)
    1549915336   (eval "$lt_compile" 2>out/conftest.err)
    1550015337   ac_status=$?
    1550115338   cat out/conftest.err >&5
    15502    echo "$as_me:15502: \$? = $ac_status" >&5
     15339   echo "$as_me:15339: \$? = $ac_status" >&5
    1550315340   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1550415341   then
     
    1706616903   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1706716904   -e 's:$: $lt_compiler_flag:'`
    17068    (eval echo "\"\$as_me:17068: $lt_compile\"" >&5)
     16905   (eval echo "\"\$as_me:16905: $lt_compile\"" >&5)
    1706916906   (eval "$lt_compile" 2>conftest.err)
    1707016907   ac_status=$?
    1707116908   cat conftest.err >&5
    17072    echo "$as_me:17072: \$? = $ac_status" >&5
     16909   echo "$as_me:16909: \$? = $ac_status" >&5
    1707316910   if (exit $ac_status) && test -s "$ac_outfile"; then
    1707416911     # The compiler can only warn and ignore the option if not recognized
     
    1717017007   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1717117008   -e 's:$: $lt_compiler_flag:'`
    17172    (eval echo "\"\$as_me:17172: $lt_compile\"" >&5)
     17009   (eval echo "\"\$as_me:17009: $lt_compile\"" >&5)
    1717317010   (eval "$lt_compile" 2>out/conftest.err)
    1717417011   ac_status=$?
    1717517012   cat out/conftest.err >&5
    17176    echo "$as_me:17176: \$? = $ac_status" >&5
     17013   echo "$as_me:17013: \$? = $ac_status" >&5
    1717717014   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1717817015   then
     
    1937719214   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1937819215   -e 's:$: $lt_compiler_flag:'`
    19379    (eval echo "\"\$as_me:19379: $lt_compile\"" >&5)
     19216   (eval echo "\"\$as_me:19216: $lt_compile\"" >&5)
    1938019217   (eval "$lt_compile" 2>conftest.err)
    1938119218   ac_status=$?
    1938219219   cat conftest.err >&5
    19383    echo "$as_me:19383: \$? = $ac_status" >&5
     19220   echo "$as_me:19220: \$? = $ac_status" >&5
    1938419221   if (exit $ac_status) && test -s "$ac_outfile"; then
    1938519222     # The compiler can only warn and ignore the option if not recognized
     
    1964519482   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1964619483   -e 's:$: $lt_compiler_flag:'`
    19647    (eval echo "\"\$as_me:19647: $lt_compile\"" >&5)
     19484   (eval echo "\"\$as_me:19484: $lt_compile\"" >&5)
    1964819485   (eval "$lt_compile" 2>conftest.err)
    1964919486   ac_status=$?
    1965019487   cat conftest.err >&5
    19651    echo "$as_me:19651: \$? = $ac_status" >&5
     19488   echo "$as_me:19488: \$? = $ac_status" >&5
    1965219489   if (exit $ac_status) && test -s "$ac_outfile"; then
    1965319490     # The compiler can only warn and ignore the option if not recognized
     
    1974919586   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1975019587   -e 's:$: $lt_compiler_flag:'`
    19751    (eval echo "\"\$as_me:19751: $lt_compile\"" >&5)
     19588   (eval echo "\"\$as_me:19588: $lt_compile\"" >&5)
    1975219589   (eval "$lt_compile" 2>out/conftest.err)
    1975319590   ac_status=$?
    1975419591   cat out/conftest.err >&5
    19755    echo "$as_me:19755: \$? = $ac_status" >&5
     19592   echo "$as_me:19592: \$? = $ac_status" >&5
    1975619593   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1975719594   then
Note: See TracChangeset for help on using the changeset viewer.